/**
 * Copyright 2021 Shift Crypto AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { apiGet } from '../utils/request';

export type TProductName = 'bitbox' | 'bitbox02' | 'bitbox02-bootloader';

export type TDevices = {
    readonly [key in string]: TProductName;
};

export const getDeviceList = (): Promise<TDevices> => {
  return apiGet('devices/registered');
};

export const hasMobileChannel = (deviceID: string) => {
  return (): Promise<boolean> => {
    return apiGet(`devices/${deviceID}/has-mobile-channel`);
  };
};
